LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
ChartAxisZSupplier Service Referencepublished

A helper service for chart documents which supply a z-axis. More...

`import"ChartAxisZSupplier.idl";`

Inheritance diagram for ChartAxisZSupplier:

## Exported Interfaces
interface | com::sun::star::chart::XAxisZSupplier
| offers access to the axis object, the title, and the grids More...

## Public Attributes
boolean | HasZAxis
| Determines if the z-axis is shown or hidden. More...
boolean | HasZAxisDescription
| Determines if the description of the z-axis is shown or hidden. More...
boolean | HasZAxisGrid
| Determines if the major grid of the z-axis is shown or hidden. More...
boolean | HasZAxisHelpGrid
| Determines if the minor grid of the z-axis is shown or hidden. More...
boolean | HasZAxisTitle
| Determines if the title of the z-axis is shown or hidden. More...

## Additional Inherited Members
Public Member Functions inherited from XAxisZSupplier
com::sun::star::drawing::XShape | getZAxisTitle ()
com::sun::star::beans::XPropertySet | getZMainGrid ()
com::sun::star::beans::XPropertySet | getZHelpGrid ()
com::sun::star::beans::XPropertySet | getZAxis ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A helper service for chart documents which supply a z-axis.

## Exported Interfaces

## ◆ com::sun::star::chart::XAxisZSupplier

interface com::sun::star::chart::XAxisZSupplier

offers access to the axis object, the title, and the grids

## Member Data Documentation

## ◆ HasZAxis

boolean HasZAxis
| property

Determines if the z-axis is shown or hidden.

See also
  ChartAxis

## ◆ HasZAxisDescription

boolean HasZAxisDescription
| property

Determines if the description of the z-axis is shown or hidden.

## ◆ HasZAxisGrid

boolean HasZAxisGrid
| property

Determines if the major grid of the z-axis is shown or hidden.

See also
  ChartGrid

## ◆ HasZAxisHelpGrid

boolean HasZAxisHelpGrid
| property

Determines if the minor grid of the z-axis is shown or hidden.

See also
  ChartGrid

## ◆ HasZAxisTitle

boolean HasZAxisTitle
| property

Determines if the title of the z-axis is shown or hidden.

See also
  ChartTitle

The documentation for this service was generated from the following file:

- com/sun/star/chart/ChartAxisZSupplier.idl